package com.proliferay.demo;

import com.liferay.portal.kernel.search.BaseIndexerPostProcessor;
import com.liferay.portal.kernel.search.Document;
import com.liferay.portal.kernel.search.Field;
import com.liferay.portal.model.User;

/**
 * 
 * @author Hamidul Islam
 *
 */
public class MyCustomPostIndexer extends BaseIndexerPostProcessor {

	public void postProcessDocument(Document document, Object object)
			throws Exception {
		User userEntity = (User) object;
		String indexerUserTitle = "";
		try {
			indexerUserTitle = userEntity.getJobTitle();
		} catch (Exception e) {
		}
		if (indexerUserTitle.length() > 0)
			document.addText(Field.TITLE, indexerUserTitle);
	}
}
